[Support request] Plugin could not be activated because it triggered a fatal error.

Home Forums Support Plugin could not be activated because it triggered a fatal error.

  • This topic has 3 replies, 2 voices, and was last updated 12 months ago by David.
Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #1015627
    Subhan

    Hi,

    I got error when activating GP Premium 1.8.3 on GP theme 2.3.2 and WordPress 5.2.3. I got failed when activating modules with error as follow:
    “Warning: require(/home/usrtools/public_html/wp-content/plugins/gp-premium/inc/verify.php): failed to open stream: No such file or directory in /home/usrtools/public_html/wp-content/plugins/gp-premium/inc/activation.php on line 530

    Warning: Use of undefined constant GP_LIBRARY_DIRECTORY – assumed ‘GP_LIBRARY_DIRECTORY’ (this will throw an Error in a future version of PHP) in /home/usrtools/public_html/wp-content/plugins/gp-premium/page-header/functions/functions.php on line 5

    Warning: require_once(GP_LIBRARY_DIRECTORYimage-processing-queue/image-processing-queue.php): failed to open stream: No such file or directory in /home/usrtools/public_html/wp-content/plugins/gp-premium/page-header/functions/functions.php on line 5

    Fatal error: require_once(): Failed opening required ‘GP_LIBRARY_DIRECTORYimage-processing-queue/image-processing-queue.php’ (include_path=’.:/opt/alt/php-fpm73/usr/lib/php’) in /home/usrtools/public_html/wp-content/plugins/gp-premium/page-header/functions/functions.php on line 5”

    I’ve tried to login to wordpress in recovery mode and then deactivated all plugins except GP Premium. And then tried to reactivate the GP Premium again but failed with the same error. Now the situation is i can not activate GP Premium at all.

    Kindly your help.

    thanks and regards,
    Hamidi

    #1015786
    David
    Staff
    Customer Support

    Hi there,

    can you completely remove GP Premium, download the zip from your account and try installing it without any other plugins activated then let me know if the error persists.

    #1021154
    Subhan

    Hi David,

    I’ve tried that but still face the same error.

    It seems the root cause was caused by something wrong with my php-fpm/opcache. After I switched php from php-fpm to FastCGI, I could activate GP Premium modules smoothly.

    thanks for your support.

    regards,
    Hamidi

    #1021163
    David
    Staff
    Customer Support

    Glad to hear you found the issue.

Viewing 4 posts - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.